<?php
session_start();


include("../master.php");
include("../elements/functions.php");
if (isset($_SESSION['token'])) {
    $token = $_SESSION['token'];

    if ($_SERVER['REQUEST_METHOD'] == 'POST') {


//-------------------API CALL--------------------------------------------------//

        $jsonFilePath = __DIR__ . '/../urls/api_endpoints.json';
        $jsonData = file_get_contents($jsonFilePath);
        $endpoints = json_decode($jsonData, true);
        $url = $endpoints['create_role'];
//---------------------------ENDS HERE-----------------------------------------//

        
        $data = [
            "id" =>  $_POST['id'],
            "max_nodes_per_pid" => $_POST['max_nodes_per_pid'],
            "notes" => $_POST['notes'],
            "parent_id" => $_POST['parent_id']
        ];
      $response =  make_post_request($url, $data);
    


      
        if ($response === FALSE) {
            $response = json_encode(['status' => 'error', 'message' => 'An error occurred']);
        }

        $response_data = json_decode($response, true);

        if ($response_data['status'] === 201) {
            //echo '<script>window.location.href = "../user/userlist.php";</script>';
            $_SESSION['message']="role Created Successfully";
            $redirect_page="../configuration/roles.php";

        } elseif ($response_data['status'] === 409) {
            $_SESSION['message'] = 'Role not created . User already exists';
            $redirect_page="../configuration/create_role.php";
        }
        else{
            $_SESSION['message'] = $response_data[''];
            $redirect_page="../configuration/create_role.php";
        }
        } else {
        header('Location: ../index.php');
        exit();
        }

    }
    
?>





<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Create Role</title>
    <link rel="stylesheet" href="../css/create_role.css" type="text/css">
</head>
<body>
    <div id="popup" class="popup">
        <div class="popup-user-create-meg">
            <p id="popup-message"></p>
        </div>
    </div>
    
    <script>
        <?php if (isset($_SESSION['message'])): ?>
            var popup = document.getElementById("popup");
            var popupMessage = document.getElementById("popup-message");
            popupMessage.textContent = "<?php echo $_SESSION['message']; ?>";
            popup.style.display = "block";
            setTimeout(function() {
                popup.style.display = "none";
                window.location.href = "<?php echo $redirect_page; ?>";// Redirect after 3 seconds
            }, 2000); // Automatically close the popup after 3 seconds
            
           
            <?php unset($_SESSION['message']); // Clear the message after displaying ?>
           
        <?php endif; ?>
    </script>
</body>
</html>
